######## 服务配置
server:
  port: 9980
  servlet:
    context-path: /
  tomcat:
    connection-timeout: 10000

######## 系统配置
spring:
  profiles:
    active: dev    #系统环境：dev开发；test测试；prod生产；
    include: hikaricp,knife4j   # 引入其他配置文件
  application:
    name: ema_project
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true
  aop:
    proxy-target-class: true
  mvc:
    path_match:
      matching-strategy: ANT_PATH_MATCHER
  jackson:     # jackson 序列化统一配置日期格式
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  #设定静态文件路径，js,css等
  web:
    resources:
      static-locations: classpath:/static/
  servlet:
    multipart:  #上传文件大小设置
      enabled: true
      max-file-size: 1024MB
      max-request-size: 1024MB
  ######## freemarker模版配置  ########
  freemarker:
    enabled: true
    cache: false
    charset: UTF-8
    content-type: text/html
    request-context-attribute: req
    suffix: ''
    template-loader-path: classpath:/templates/
    settings:
      number_format: 0

######## Sa-Token 配置 (文档: https://sa-token.cc)
sa-token:
  token-name: Token     # token 名称（同时也是 cookie 名称）
  timeout: 864000       # token 有效期（单位：秒） 默认30天，-1 代表永久有效
  active-timeout: 86400  # token 最低活跃频率（单位：秒），如果 token 超过此时间没有访问系统就会被冻结，默认-1 代表不限制，永不冻结
  is-concurrent: true   # 是否允许同一账号多地同时登录 （为 true 时允许一起登录, 为 false 时新登录挤掉旧登录）
  is-share: true        # 在多人登录同一账号时，是否共用一个 token （为 true 时所有登录共用一个 token, 为 false 时每次登录新建一个 token）
  token-style: simple-uuid  # token 风格（默认可取值：uuid、simple-uuid、random-32、random-64、random-128、tik）
  is-log: false         # 是否输出操作日志

